:root {
    --root-bg-color: #555;

    --form-bg-color: #333;
    --form-color: #FFF;

    --navbar-toggler-color: rgba(255, 255, 255, 0.8);

    --brand-color: #FFF;

    --copyright-color: #BBB;

    --btn-bg-color: #FFF;
    --btn-color: #222;

    --link-color: #CCC;
    --link-hover-color: #FFF;
    --link-active-color: #FFF;
}

.navbar-toggler-icon {
    background-image:url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.8%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e")
}

@font-face {
    font-family: "Roboto-Light";
    font-style: normal;
    font-weight: 300;
    font-display: swap;
    src: local("Roboto-Light"),
    url("/assets/fonts/Roboto/Light.woff2") format("woff2"),
    url("/assets/fonts/Roboto/Light.woff") format("woff"),
    url("/assets/fonts/Roboto/Light.ttf") format("truetype"),
    url("/assets/fonts/Roboto/Light.eot") format("embedded-opentype");
}

@font-face {
    font-family: "Roboto-Regular";
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: local("Roboto-Regular"),
    url("/assets/fonts/Roboto/Regular.woff2") format("woff2"),
    url("/assets/fonts/Roboto/Regular.woff") format("woff"),
    url("/assets/fonts/Roboto/Regular.ttf") format("truetype"),
    url("/assets/fonts/Roboto/Regular.eot") format("embedded-opentype");
}

@font-face {
    font-family: "RobotoSlab-Light";
    font-style: normal;
    font-weight: 300;
    font-display: swap;
    src: local("RobotoSlab-Light"),
    url("/assets/fonts/Roboto Slab/Light.woff2") format("woff2"),
    url("/assets/fonts/Roboto Slab/Light.woff") format("woff"),
    url("/assets/fonts/Roboto Slab/Light.ttf") format("truetype"),
    url("/assets/fonts/Roboto Slab/Light.eot") format("embedded-opentype");
}

@font-face {
    font-family: "RobotoSlab-Regular";
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: local("RobotoSlab-Regular"),
    url("/assets/fonts/Roboto Slab/Regular.woff2") format("woff2"),
    url("/assets/fonts/Roboto Slab/Regular.woff") format("woff"),
    url("/assets/fonts/Roboto Slab/Regular.ttf") format("truetype"),
    url("/assets/fonts/Roboto Slab/Regular.eot") format("embedded-opentype");
}

html, body, .root-bg {
    background-color: var(--root-bg-color);
}

html {
    position: relative;
    min-height: 100%;
}

body {
    font-family: "Roboto-Light", sans-serif;
}

header, footer, .card {
    background-color: var(--form-bg-color);
    color: var(--form-color);
}

header {
    font-family: "RobotoSlab-Light", serif;
    font-size: 1.2rem;
}

main {
    margin-top: 6rem;
    margin-bottom: 12rem;

    font-family: "Roboto-Light", sans-serif;
    font-size: 1.1rem;
}

footer {
    width: 100%;

    position: absolute;
    bottom: 0;

    font-family: "Roboto-Light", sans-serif;
    font-size: 1.1rem;
}

a {
    text-decoration: none;

    transition-duration: 250ms;
}

.navbar-toggler {
    color: var(--navbar-toggler-color);
    border-color: var(--navbar-toggler-color);
}

.card-header {
    font-family: "Roboto-Regular", sans-serif;
    font-size: 2rem;
}

.card-footer {
    font-size: 1rem;
}

.brand-text {
    color: var(--brand-color);

    font-family: "RobotoSlab-Regular", serif;
    font-size: 2rem;
}

.copyright {
    color: var(--copyright-color);

    font-family: "Roboto-Regular", sans-serif;
    font-size: 1.2rem;
}

.btn-outline {
    color: var(--btn-bg-color);
    border-color: var(--btn-bg-color);
}

.btn-outline:hover {
    color: var(--btn-color);
    background-color: var(--btn-bg-color);
}

.link-active {
    color: var(--link-color);
}

.link-active:hover {
    color: var(--link-hover-color);
}

.link-active:active, .link-inactive, .link-inactive:hover, .link-inactive:active {
    color: var(--link-active-color);

    text-decoration: underline;
}

.brand-img {
    width: 4rem;
    height: 4rem;

    margin: 0.5rem;
}

.avatar-img {
    width: 6rem;
    height: 6rem;
}

.link-img {
    width: 3rem;
    height: 3rem;

    margin: 0.7rem;
}

.noty_bar {
    margin-top: 0.6rem;
    overflow: hidden;
    border-radius: 0.25rem;
    position: relative;
}

.noty_bar, .noty_body {
    padding: 0.3rem;
    font-family: "Roboto-Regular", sans-serif;
    font-size: 0.9rem;
}

.noty_type__alert {
    background-color: #fff;
    color: #1d1d1d;
}

.noty_type__warning {
    background-color: #fa9e00;
    color: #FFF;
}

.noty_type__error {
    background-color: #c2291e;
    color: #FFF;
}

.noty_type__info {
    background-color: #1BA1E2;
    color: #FFF;
}

.noty_type__success {
    background-color: #60A917;
    color: #FFF;
}
